Subject: bug#21188: Preview installed from the package manager changes LaTeX-mode-hook

From: Joseph Mingrone <[email-masked]>
Date: Wed, 05 Aug 2015 14:12:13 -0300

Tassilo Horn <[email-masked]> writes:
> This "wiping" is strange.  `LaTeX-preview-setup' removes itself from
> `LaTeX-mode-hook' and adds `preview-mode-setup' instead.  However, this
> should not affect other functions which also happen to be added to
> `LaTeX-mode-hook'.

If LaTeX-mode-hook is customized so that the customizations aren't
applied immediately, then the value of LaTeX-mode-hook is not set before
the line (add-hook 'LaTeX-mode-hook #'LaTeX-preview-setup) in
auctex-autoloads.el and after that call, regardless of the contents of
LaTeX-preview-setup, the customizations are not applied.  However, if I
comment out the line (add-hook 'LaTeX-mode-hook #'LaTeX-preview-setup)
inside auctex-autoloads.el then the value customizations are applied.

> I just tried with emacs 24.5 and ELPA AUCTeX 11.88.6.

I should have mentioned that I'm running 24.5.1 with the same AUCTeX.

Joseph